Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.solver
Class LogFiles

    java.lang.Object
      calhoun.analysis.crf.solver.LogFiles

    public final class LogFiles

extends java.lang.Object

Field Summary
`java.lang.String` | `alphaFile`
`java.lang.String` | `alphaLengthFile`
`java.io.BufferedWriter` | `alphaLengthWriter`
`java.io.BufferedWriter` | `alphaWriter`
`java.lang.String` | `betaLengthFile`
`java.io.BufferedWriter` | `betaLengthWriter`
`java.lang.String` | `expectedProductFile`
`java.io.BufferedWriter` | `expectedProductWriter`
`java.lang.String` | `expectFile`
`java.lang.String` | `expectLengthFile`
`java.io.BufferedWriter` | `expectLengthWriter`
`java.io.BufferedWriter` | `expectWriter`
`java.lang.String` | `marginalsFile`
`java.io.BufferedWriter` | `marginalsWriter`
`java.lang.String` | `nodeMarginalFile`
`java.io.BufferedWriter` | `nodeMarginalWriter`
`java.lang.String` | `scoreAlphaFile`
`java.io.BufferedWriter` | `scoreAlphaWriter`

Constructor Summary
`LogFiles()`

Method Summary
`void` | `close()`
`void` | `open()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alphaFile

    public java.lang.String alphaFile

### alphaLengthFile

    public java.lang.String alphaLengthFile

### betaLengthFile

    public java.lang.String betaLengthFile

### expectFile

    public java.lang.String expectFile

### expectLengthFile

    public java.lang.String expectLengthFile

### nodeMarginalFile

    public java.lang.String nodeMarginalFile

### scoreAlphaFile

    public java.lang.String scoreAlphaFile

### expectedProductFile

    public java.lang.String expectedProductFile

### marginalsFile

    public java.lang.String marginalsFile

### alphaWriter

    public java.io.BufferedWriter alphaWriter

### alphaLengthWriter

    public java.io.BufferedWriter alphaLengthWriter

### betaLengthWriter

    public java.io.BufferedWriter betaLengthWriter

### expectWriter

    public java.io.BufferedWriter expectWriter

### expectLengthWriter

    public java.io.BufferedWriter expectLengthWriter

### nodeMarginalWriter

    public java.io.BufferedWriter nodeMarginalWriter

### scoreAlphaWriter

    public java.io.BufferedWriter scoreAlphaWriter

### expectedProductWriter

    public java.io.BufferedWriter expectedProductWriter

### marginalsWriter

    public java.io.BufferedWriter marginalsWriter

Constructor Detail

### LogFiles

    public LogFiles()

Method Detail

### open

    public final void open()

### close

    public final void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD